#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector <int> v;
    for(int i = 0; i < n; i++){
        int a;
        cin >> a;
        v.push_back(a);
    }
    if(n == 2){
        swap(v[0], v[1]);
    }
    else{
        bool nasao = false;
        for(int i = 0; i < n - 1; i++){
            if(v[i] != 9){
                int amax = v[i];
                int imax = i;
                for(int j = i + 1; j < n; j++){
                    if(v[j] >= amax){
                        amax = v[j];
                        imax = j;
                        nasao = true;
                    }
                }
                if(nasao){
                    swap(v[i], v[imax]);
                    break;
                }
            }
        }
        if(nasao == false){
            swap(v[n - 2], v[n - 1]);
        }
    }
    for(int i = 0; i < n; i++){
        cout << v[i] << " ";
    }
    return 0;
}